<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>turntable_default</name>
  <program_name>turntable</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>window2</name>
  <visible>False</visible>
  <title>window2</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>False</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>True</auto_shrink>

  <widget>
    <class>GtkFrame</class>
    <name>main_widget</name>
    <signal>
      <name>drag_data_received</name>
      <handler>gdam_turntable_frame_drag_data_received</handler>
      <last_modification_time>Wed, 06 Oct 1999 02:18:17 GMT</last_modification_time>
    </signal>
    <label_xalign>0</label_xalign>
    <shadow_type>GTK_SHADOW_OUT</shadow_type>

    <widget>
      <class>GtkEventBox</class>
      <name>turntable_ebox</name>
      <events>GDK_EXPOSURE_MASK</events>

      <widget>
	<class>GtkHBox</class>
	<name>hbox2</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>

	<widget>
	  <class>GtkVBox</class>
	  <name>turntable_vbox</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkVBox</class>
	    <name>vbox2</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>0</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkHBox</class>
	      <name>gdam_turntable_producer_box</name>
	      <signal>
		<name>whatever</name>
		<handler>gdam_turntable_producer_container</handler>
		<last_modification_time>Wed, 29 Dec 1999 17:41:52 GMT</last_modification_time>
	      </signal>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>

	      <widget>
		<class>Placeholder</class>
	      </widget>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>custom9</name>
	      <width>263</width>
	      <height>10</height>
	      <tooltip>position within song; click to change</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>whatever</name>
		<handler>gdam_turntable_position_adjustment</handler>
		<last_modification_time>Thu, 04 May 2000 04:27:43 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_scrollbar_create_func</creation_function>
	      <string1>bluetone/htrough.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm:bluetone/hhandle.xpm</string1>
	      <string2>5:5:252:0:0:0:1:0.01:0.1:0.0</string2>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Thu, 04 May 2000 01:59:40 GMT</last_modification_time>
	      <child>
		<padding>0</padding>
		<expand>False</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkTable</class>
	    <name>gdam_turntable_button_table</name>
	    <rows>2</rows>
	    <columns>7</columns>
	    <homogeneous>False</homogeneous>
	    <row_spacing>0</row_spacing>
	    <column_spacing>0</column_spacing>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>Custom</class>
	      <name>stop_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>click to stop; if already stopped, will seek to the first beat.  A right click while playing will seek in time to the first beat.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_int:play_or_synch:-1</handler>
		<last_modification_time>Sun, 05 Dec 1999 01:39:08 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_turntable_seek_fb_in_time</handler>
		<last_modification_time>Fri, 04 Aug 2000 09:12:34 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/stop.xpm:default/stop_active.xpm:default/stop_prelight.xpm:default/stop_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>2</left_attach>
		<right_attach>3</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgeb_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>click to nudge the track back; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.01</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:08 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.05</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:00:26 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.05</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:02:27 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.002</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:03:56 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.002</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:23 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgeb.xpm:default/nudgeb_active.xpm:default/nudgeb_prelight.xpm:default/nudgeb_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>1</left_attach>
		<right_attach>2</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgebb_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>click to nudge the track back; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.05</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:08 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.1</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:00:26 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.1</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:02:27 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.004</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:03:56 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek:-0.004</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:23 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgebb.xpm:default/nudgebb_active.xpm:default/nudgebb_prelight.xpm:default/nudgebb_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>0</left_attach>
		<right_attach>1</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgembb_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>click to seek back two bars.  if the tempo is unknown, a bar is four seconds.  right,shift clicks seek back eight bars.  middle,control clicks seek back two beats.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-8</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-8</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:-2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:-2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:02:47 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgembb.xpm:default/nudgembb_active.xpm:default/nudgembb_prelight.xpm:default/nudgembb_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>0</left_attach>
		<right_attach>1</right_attach>
		<top_attach>1</top_attach>
		<bottom_attach>2</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgemb_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>seek back by one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek four bars.  control,middle clicks seek one beat.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:-1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:-1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-4</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:-4</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:03 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgemb.xpm:default/nudgemb_active.xpm:default/nudgemb_prelight.xpm:default/nudgemb_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>1</left_attach>
		<right_attach>2</right_attach>
		<top_attach>1</top_attach>
		<bottom_attach>2</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgemf_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>seek forward one bar.  if the tempo is unknown, a bar is four seconds.  shift,right clicks seek forward four bars.  middle,control clicks seek by one beat.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:21 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:4</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:21 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:4</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:21 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:21 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:1</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:21 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgemf.xpm:default/nudgemf_active.xpm:default/nudgemf_prelight.xpm:default/nudgemf_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>5</left_attach>
		<right_attach>6</right_attach>
		<top_attach>1</top_attach>
		<bottom_attach>2</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgemff_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>seek forward by two bars.  shift,right clicks seek by eight bars.  control,middle clicks seek by two beats.</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:8</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_bars:8</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek_by_beats:2</handler>
		<last_modification_time>Wed, 13 Oct 1999 18:03:37 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgemff.xpm:default/nudgemff_active.xpm:default/nudgemff_prelight.xpm:default/nudgemff_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>6</left_attach>
		<right_attach>7</right_attach>
		<top_attach>1</top_attach>
		<bottom_attach>2</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgef_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>nudge the track forward; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.01</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:08 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.05</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:00:26 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.05</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:02:27 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.002</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:03:56 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.002</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:23 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgef.xpm:default/nudgef_active.xpm:default/nudgef_prelight.xpm:default/nudgef_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>5</left_attach>
		<right_attach>6</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>nudgeff_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>nudge the track forward; shift,right clicks nudge a larger amount; control,middle clicks nudge a smaller amount</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.05</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:08 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-shift-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.1</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:00:26 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-right-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.1</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:02:27 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.004</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:03:56 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-middle-clicked</name>
		<handler>gdam_skin_arg_double:seek:0.004</handler>
		<last_modification_time>Thu, 28 Dec 2000 20:04:23 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/nudgeff.xpm:default/nudgeff_active.xpm:default/nudgeff_prelight.xpm:default/nudgeff_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>6</left_attach>
		<right_attach>7</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkVBox</class>
	      <name>label_box</name>
	      <homogeneous>True</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<left_attach>3</left_attach>
		<right_attach>4</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>2</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>True</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>True</xfill>
		<yfill>True</yfill>
	      </child>

	      <widget>
		<class>GtkLabel</class>
		<name>time_label</name>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_turntable_time_label</handler>
		  <last_modification_time>Wed, 06 Oct 1999 00:50:50 GMT</last_modification_time>
		</signal>
		<label>000:00.00</label>
		<justify>GTK_JUSTIFY_LEFT</justify>
		<wrap>False</wrap>
		<xalign>0.5</xalign>
		<yalign>0.5</yalign>
		<xpad>2</xpad>
		<ypad>0</ypad>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox6</name>
		<tooltip>number of beats from the beginning of the song</tooltip>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>

		<widget>
		  <class>GtkLabel</class>
		  <name>beatnum_label</name>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_turntable_beatnum_label</handler>
		    <last_modification_time>Wed, 06 Oct 1999 00:56:28 GMT</last_modification_time>
		  </signal>
		  <label>0.00</label>
		  <justify>GTK_JUSTIFY_CENTER</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xpad>0</xpad>
		  <ypad>0</ypad>
		</widget>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox7</name>
		<tooltip>sync indicator; 0 means in sync with anchored turntable</tooltip>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>

		<widget>
		  <class>GtkLabel</class>
		  <name>preview_label</name>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_turntable_preview_label</handler>
		    <last_modification_time>Tue, 12 Oct 1999 00:27:36 GMT</last_modification_time>
		  </signal>
		  <label>-</label>
		  <justify>GTK_JUSTIFY_CENTER</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.5</yalign>
		  <xpad>0</xpad>
		  <ypad>0</ypad>
		</widget>
	      </widget>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>play_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>play.  if track is playing, a click will synch it.  a control- or right-click will start the track in synch</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>gdam-left-clicked</name>
		<handler>gdam_skin_arg_int:play_or_synch:1</handler>
		<last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>gdam-control-clicked</name>
		<handler>gdam_skin_arg_int:play_or_synch:2</handler>
		<last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	      </signal>
	      <signal>
		<name>toggled</name>
		<handler>gdam_skin_toggle_button:playing</handler>
		<last_modification_time>Sun, 05 Dec 1999 01:45:37 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/play.xpm:default/play_active.xpm:default/play_prelight.xpm:default/play_active.xpm</string1>
	      <int1>1</int1>
	      <int2>1</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>4</left_attach>
		<right_attach>5</right_attach>
		<top_attach>0</top_attach>
		<bottom_attach>1</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>Custom</class>
	      <name>hardware_button</name>
	      <width>32</width>
	      <height>32</height>
	      <tooltip>assign hardware binding</tooltip>
	      <can_focus>True</can_focus>
	      <signal>
		<name>clicked</name>
		<handler>gdam_skin_make_binding_dialog</handler>
		<last_modification_time>Tue, 22 Feb 2000 15:38:12 GMT</last_modification_time>
	      </signal>
	      <creation_function>gtk_pix_button_create_func</creation_function>
	      <string1>default/hardware.xpm:default/hardware_active.xpm:default/hardware_prelight.xpm:default/hardware_active.xpm</string1>
	      <int1>0</int1>
	      <int2>0</int2>
	      <last_modification_time>Sun, 16 Jan 2000 22:59:06 GMT</last_modification_time>
	      <child>
		<left_attach>4</left_attach>
		<right_attach>5</right_attach>
		<top_attach>1</top_attach>
		<bottom_attach>2</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>False</xfill>
		<yfill>False</yfill>
	      </child>
	    </widget>

	    <widget>
	      <class>GtkVBox</class>
	      <name>vbox5</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>
	      <child>
		<left_attach>2</left_attach>
		<right_attach>3</right_attach>
		<top_attach>1</top_attach>
		<bottom_attach>2</bottom_attach>
		<xpad>0</xpad>
		<ypad>0</ypad>
		<xexpand>False</xexpand>
		<yexpand>False</yexpand>
		<xshrink>False</xshrink>
		<yshrink>False</yshrink>
		<xfill>True</xfill>
		<yfill>True</yfill>
	      </child>

	      <widget>
		<class>GtkButton</class>
		<name>button2</name>
		<height>12</height>
		<tooltip>change timer origin; time from zero, time to/from first beat, or time left</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>clicked</name>
		  <handler>gdam_turntable_nudge_timer_origin</handler>
		  <last_modification_time>Sat, 17 Jun 2000 20:54:58 GMT</last_modification_time>
		</signal>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>

		<widget>
		  <class>GtkLabel</class>
		  <name>label2</name>
		  <height>8</height>
		  <label>...</label>
		  <justify>GTK_JUSTIFY_CENTER</justify>
		  <wrap>False</wrap>
		  <xalign>0.5</xalign>
		  <yalign>0.9</yalign>
		  <xpad>0</xpad>
		  <ypad>0</ypad>
		</widget>
	      </widget>

	      <widget>
		<class>GtkButton</class>
		<name>button1</name>
		<height>20</height>
		<tooltip>if the beat information describes several sections of varying tempos, then this button will cycle through the ranges</tooltip>
		<can_focus>True</can_focus>
		<signal>
		  <name>clicked</name>
		  <handler>gdam_turntable_cycle_beatinfo</handler>
		  <last_modification_time>Thu, 15 Jun 2000 02:38:11 GMT</last_modification_time>
		</signal>
		<label>cbi</label>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>False</fill>
		</child>
	      </widget>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox1</name>
	    <child>
	      <padding>0</padding>
	      <expand>False</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkVBox</class>
	      <name>resample_box</name>
	      <homogeneous>False</homogeneous>
	      <spacing>0</spacing>

	      <widget>
		<class>GtkHScrollbar</class>
		<name>resample_scrollbar</name>
		<tooltip>resample rate</tooltip>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_skin_adjustment:resample_rate:temporary</handler>
		  <last_modification_time>Tue, 05 Oct 1999 23:33:19 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_turntable_rate_adjustment</handler>
		  <last_modification_time>Fri, 20 Oct 2000 05:34:13 GMT</last_modification_time>
		</signal>
		<policy>GTK_UPDATE_CONTINUOUS</policy>
		<value>1</value>
		<lower>0.88</lower>
		<upper>1.13</upper>
		<step>0.001</step>
		<page>0.01</page>
		<page_size>0.01</page_size>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>True</fill>
		</child>
	      </widget>

	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox4</name>
		<signal>
		  <name>drag_data_get</name>
		  <handler>gdam_skin_tempo_drag_source</handler>
		  <last_modification_time>Wed, 06 Oct 1999 03:27:40 GMT</last_modification_time>
		</signal>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_turntable_tempo_data_drag</handler>
		  <last_modification_time>Wed, 12 Apr 2000 04:52:05 GMT</last_modification_time>
		</signal>
		<child>
		  <padding>0</padding>
		  <expand>False</expand>
		  <fill>True</fill>
		</child>

		<widget>
		  <class>GtkHBox</class>
		  <name>hbox2</name>
		  <homogeneous>False</homogeneous>
		  <spacing>0</spacing>

		  <widget>
		    <class>GtkToggleButton</class>
		    <name>anchor_tbutton</name>
		    <tooltip>If this turntable is anchored, then other turntables can synch to it.</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>clicked</name>
		      <handler>gdam_skin_toggle_button:anchored</handler>
		      <last_modification_time>Fri, 12 May 2000 16:41:51 GMT</last_modification_time>
		    </signal>
		    <label>Anchor</label>
		    <active>False</active>
		    <child>
		      <padding>2</padding>
		      <expand>False</expand>
		      <fill>False</fill>
		    </child>
		  </widget>

		  <widget>
		    <class>GtkToggleButton</class>
		    <name>togglebutton1</name>
		    <tooltip>change the range of the rate slider; toggle between +/-100% and +/- 12%</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>clicked</name>
		      <handler>gdam_skin_skin_toggle_button:fine_rate_control</handler>
		      <last_modification_time>Fri, 20 Oct 2000 05:33:17 GMT</last_modification_time>
		    </signal>
		    <label>12</label>
		    <active>False</active>
		    <child>
		      <padding>0</padding>
		      <expand>False</expand>
		      <fill>False</fill>
		    </child>
		  </widget>

		  <widget>
		    <class>GtkEventBox</class>
		    <name>eventbox8</name>
		    <tooltip>resample rate</tooltip>
		    <child>
		      <padding>4</padding>
		      <expand>False</expand>
		      <fill>True</fill>
		    </child>

		    <widget>
		      <class>GtkLabel</class>
		      <name>rate_label</name>
		      <width>34</width>
		      <signal>
			<name>whatever</name>
			<handler>gdam_skin_label:resample_rate:%3d%%:100:1</handler>
			<last_modification_time>Wed, 06 Oct 1999 01:54:03 GMT</last_modification_time>
		      </signal>
		      <label>100%</label>
		      <justify>GTK_JUSTIFY_CENTER</justify>
		      <wrap>False</wrap>
		      <xalign>0.5</xalign>
		      <yalign>0.5</yalign>
		      <xpad>0</xpad>
		      <ypad>0</ypad>
		    </widget>
		  </widget>


	      <widget>
		<class>GtkEventBox</class>
		<name>eventbox18_blue</name>
		<x>43</x>
		<y>10</y>
		<width>10</width>
		<height>8</height>
		<tooltip>click and drag to nudge the rate</tooltip>
		<signal>
		  <name>whatever</name>
		  <handler>gdam_skin_create_if_defined:!simple</handler>
		  <last_modification_time>Sat, 26 May 2001 17:23:32 GMT</last_modification_time>
		</signal>

		<widget>
		  <class>Custom</class>
		  <name>custom12_blue</name>
		  <tooltip>click and drag to nudge the resample rate</tooltip>
		  <can_focus>True</can_focus>
		  <signal>
		    <name>whatever</name>
		    <handler>gdam_turntable_nudge_rate_adjustment</handler>
		    <last_modification_time>Sat, 26 May 2001 17:24:00 GMT</last_modification_time>
		  </signal>
		  <creation_function>gdam_dial_create_func</creation_function>
		  <string1>default/builderresampleblue.xpm</string1>
		  <string2>0.0:-1.0:1.0:reset:8</string2>
		  <int1>800</int1>
		  <int2>1</int2>
		  <last_modification_time>Wed, 19 Jul 2000 00:10:32 GMT</last_modification_time>
		</widget>
	      </widget>



		  <widget>
		    <class>GtkEventBox</class>
		    <name>eventbox9</name>
		    <tooltip>tempo of the song, if known.   by changing the effective tempo (via the arrows) the song can be treated as double or half tempo</tooltip>
		    <child>
		      <padding>2</padding>
		      <expand>True</expand>
		      <fill>True</fill>
		    </child>

		    <widget>
		      <class>GtkFrame</class>
		      <name>frame1</name>
		      <label_xalign>0</label_xalign>
		      <shadow_type>GTK_SHADOW_IN</shadow_type>

		      <widget>
			<class>GtkHBox</class>
			<name>hbox4</name>
			<homogeneous>False</homogeneous>
			<spacing>0</spacing>

			<widget>
			  <class>GtkVBox</class>
			  <name>vbox4</name>
			  <homogeneous>False</homogeneous>
			  <spacing>0</spacing>
			  <child>
			    <padding>0</padding>
			    <expand>False</expand>
			    <fill>False</fill>
			  </child>

			  <widget>
			    <class>GtkEventBox</class>
			    <name>eventbox2</name>
			    <signal>
			      <name>gdam-left-clicked</name>
			      <handler>gdam_skin_arg_int:nudge_bpm_factor:-1</handler>
			      <last_modification_time>Sun, 26 Mar 2000 21:24:34 GMT</last_modification_time>
			    </signal>
			    <child>
			      <padding>1</padding>
			      <expand>False</expand>
			      <fill>False</fill>
			    </child>

			    <widget>
			      <class>GtkArrow</class>
			      <name>arrow1</name>
			      <width>10</width>
			      <arrow_type>GTK_ARROW_UP</arrow_type>
			      <shadow_type>GTK_SHADOW_OUT</shadow_type>
			      <xalign>0.5</xalign>
			      <yalign>0.5</yalign>
			      <xpad>0</xpad>
			      <ypad>0</ypad>
			    </widget>
			  </widget>

			  <widget>
			    <class>GtkEventBox</class>
			    <name>eventbox3</name>
			    <signal>
			      <name>gdam-left-clicked</name>
			      <handler>gdam_skin_arg_int:nudge_bpm_factor:1</handler>
			      <last_modification_time>Sun, 26 Mar 2000 21:25:21 GMT</last_modification_time>
			    </signal>
			    <child>
			      <padding>1</padding>
			      <expand>False</expand>
			      <fill>False</fill>
			    </child>

			    <widget>
			      <class>GtkArrow</class>
			      <name>arrow2</name>
			      <width>10</width>
			      <arrow_type>GTK_ARROW_DOWN</arrow_type>
			      <shadow_type>GTK_SHADOW_OUT</shadow_type>
			      <xalign>0.5</xalign>
			      <yalign>0.5</yalign>
			      <xpad>0</xpad>
			      <ypad>0</ypad>
			    </widget>
			  </widget>
			</widget>

			<widget>
			  <class>GtkLabel</class>
			  <name>bpm_label</name>
			  <signal>
			    <name>whatever</name>
			    <handler>gdam_skin_bpm_label</handler>
			    <last_modification_time>Wed, 06 Oct 1999 01:55:49 GMT</last_modification_time>
			  </signal>
			  <label>0.000</label>
			  <justify>GTK_JUSTIFY_CENTER</justify>
			  <wrap>False</wrap>
			  <xalign>0.5</xalign>
			  <yalign>0.5</yalign>
			  <xpad>0</xpad>
			  <ypad>0</ypad>
			  <child>
			    <padding>0</padding>
			    <expand>True</expand>
			    <fill>True</fill>
			  </child>
			</widget>

			<widget>
			  <class>GtkAlignment</class>
			  <name>alignment1</name>
			  <xalign>1</xalign>
			  <yalign>0.9</yalign>
			  <xscale>1</xscale>
			  <yscale>1</yscale>
			  <child>
			    <padding>0</padding>
			    <expand>False</expand>
			    <fill>False</fill>
			    <pack>GTK_PACK_END</pack>
			  </child>

			  <widget>
			    <class>GtkEventBox</class>
			    <name>eventbox5</name>

			    <widget>
			      <class>GtkLabel</class>
			      <name>label1</name>
			      <label>BPM </label>
			      <justify>GTK_JUSTIFY_RIGHT</justify>
			      <wrap>False</wrap>
			      <xalign>1</xalign>
			      <yalign>0.5</yalign>
			      <xpad>0</xpad>
			      <ypad>0</ypad>
			    </widget>
			  </widget>
			</widget>
		      </widget>
		    </widget>
		  </widget>

		  <widget>
		    <class>GtkToggleButton</class>
		    <name>tempolock_tbutton</name>
		    <tooltip>If the tempo is locked, then when a new song is loaded the resample rate will change so that the tempo stays the same.</tooltip>
		    <can_focus>True</can_focus>
		    <signal>
		      <name>clicked</name>
		      <handler>gdam_skin_toggle_button:tempo_locked</handler>
		      <last_modification_time>Sun, 20 Aug 2000 07:52:34 GMT</last_modification_time>
		    </signal>
		    <label>lock</label>
		    <active>False</active>
		    <child>
		      <padding>0</padding>
		      <expand>False</expand>
		      <fill>False</fill>
		    </child>
		  </widget>
		</widget>
	      </widget>
	    </widget>
	  </widget>
	</widget>

	<widget>
	  <class>GtkVBox</class>
	  <name>vbox3</name>
	  <homogeneous>False</homogeneous>
	  <spacing>0</spacing>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>True</fill>
	  </child>

	  <widget>
	    <class>GtkHBox</class>
	    <name>hbox3</name>
	    <homogeneous>False</homogeneous>
	    <spacing>0</spacing>
	    <child>
	      <padding>4</padding>
	      <expand>True</expand>
	      <fill>True</fill>
	    </child>

	    <widget>
	      <class>GtkVScrollbar</class>
	      <name>jump_scrollbar</name>
	      <tooltip>drag and release to seek by an even number of beats</tooltip>
	      <signal>
		<name>whatever</name>
		<handler>gdam_turntable_jump_scrollbar</handler>
		<last_modification_time>Thu, 14 Oct 1999 05:26:32 GMT</last_modification_time>
	      </signal>
	      <policy>GTK_UPDATE_CONTINUOUS</policy>
	      <value>0.363636</value>
	      <lower>-16</lower>
	      <upper>17</upper>
	      <step>1</step>
	      <page>4</page>
	      <page_size>1</page_size>
	      <child>
		<padding>0</padding>
		<expand>True</expand>
		<fill>True</fill>
	      </child>
	    </widget>
	  </widget>

	  <widget>
	    <class>GtkEventBox</class>
	    <name>eventbox10</name>
	    <tooltip>size of jump in beats</tooltip>
	    <child>
	      <padding>2</padding>
	      <expand>False</expand>
	      <fill>False</fill>
	    </child>

	    <widget>
	      <class>GtkLabel</class>
	      <name>jump_label</name>
	      <width>22</width>
	      <signal>
		<name>whatever</name>
		<handler>gdam_turntable_jump_label</handler>
		<last_modification_time>Thu, 14 Oct 1999 06:24:00 GMT</last_modification_time>
	      </signal>
	      <label>00</label>
	      <justify>GTK_JUSTIFY_CENTER</justify>
	      <wrap>False</wrap>
	      <xalign>0.5</xalign>
	      <yalign>0.5</yalign>
	      <xpad>0</xpad>
	      <ypad>0</ypad>
	    </widget>
	  </widget>
	</widget>
      </widget>
    </widget>
  </widget>
</widget>

</GTK-Interface>
